;;;; type-checks.scm
;;;; Kon Lovett, Apr '09
;;;; Kon Lovett, Jun '17

;; Issues
;;
;; - Chicken Generic Arithmetic!
;;
;; - check-negative-* (< X 0), check-non-positive-* (<= X 0)

(declare (bound-to-procedure ##sys#structure?))

(module type-checks

(;export
  define-check-type
  define-check+error-type
  check-defined-value
  check-bound-value
  check-number
  check-fixnum
  check-flonum
  check-integer
  check-real
  check-complex
  check-rational
  check-exact
  check-inexact
  check-positive-fixnum check-natural-fixnum check-negative-fixnum check-non-positive-fixnum
  check-positive-integer check-natural-integer check-negative-integer check-non-positive-integer
  check-positive-number check-natural-number check-negative-number check-non-positive-number
  check-procedure check-closure
  check-input-port
  check-output-port
  check-list
  check-pair
  check-blob
  check-vector
  check-structure
  check-record
  check-record-type
  check-symbol
  check-keyword
  check-string
  check-char
  check-boolean
  check-alist
  check-minimum-argument-count check-argument-count
  check-closed-interval check-open-interval
  check-half-closed-interval check-half-open-interval
  check-range)

(import (chicken base))			; for `include'

(include "type-checks.impl.scm")

) ;module type-checks
