;;;; type-errors.scm
;;;; Kon Lovett, Jul '18
;;;; Kon Lovett, Jun '17
;;;; Kon Lovett, Apr '09

(declare
  (bound-to-procedure
    ##sys#signal-hook ##sys#error-hook
    ##sys#number->string) )

(module type-errors ()

(import (chicken module))

(export
  ;
  make-bad-argument-message
  make-type-name-message
  make-error-type-message
  ;
  signal-bounds-error signal-type-error
  ;
  error-argument-type
  warning-argument-type
  (define-error-type error-argument-type)
  ;
  error-bound-value
  error-defined-value
  error-number
  error-fixnum
  error-flonum
  error-integer
  error-real
  error-complex
  error-rational
  error-exact
  error-inexact
  error-positive-number error-natural-number error-negative-number error-non-positive-number
  error-positive-fixnum error-natural-fixnum error-negative-fixnum error-non-positive-fixnum
  error-positive-integer error-natural-integer error-negative-integer error-non-positive-integer
  error-procedure error-closure
  error-input-port
  error-output-port
  error-list
  error-pair
  error-blob
  error-vector
  error-structure
  error-record
  error-record-type
  error-symbol
  error-keyword
  error-string
  error-char
  error-boolean
  error-plist
  error-alist
  error-minimum-argument-count
  error-argument-count
  error-range
  error-interval
  error-closed-interval error-open-interval
  error-half-open-interval error-half-closed-interval)

(import (chicken base))			; for `include'

(include "type-errors.impl.scm")

) ;module type-errors
